Subject: Re: [sipcore] I-D Action: draft-ietf-sipcore-refer-clarifications-01.txt

From: Robert Sparks <[email-masked]>
Date: Mon, 02 Mar 2015 12:08:04 -0600

On 1/23/15 6:10 AM, Christer Holmberg wrote:
> Hi Robert,
>
> The document looks good, and I also think it's ready for WGLC. I do have an editorial comment, though:
>
> The second last paragraph in section 4 says:
>
> 	"If a user agent can be certain that no implicit subscription will be
>     	created as a result of sending a REFER request (such as by requiring
>     	an extension that disallows any such subscription
>     	[I-D.ietf-sipcore-refer-explicit-subscription]), the REFER request
>     	MAY be sent within an existing dialog.  Such a REFER will be
>     	constructed with its Contact header field populated with the dialog's
>     	Local URI as specified in section 12 of [RFC3261]."
>
> Since the draft earlier talks about having to send REFERs out-of-dialog if the remote Contact is a GRUU, I think it would be good to explicitly clarify that in this case sending an in-dialog REFER is allowed even if the remote Contact is a GRUU.
>
> (Because, there may many non-REFER related reasons why the remote UA provided a GRUU.)
I've made this change
OLD:
MAY be sent within an existing dialog.

NEW:
MAY be sent within an existing dialog (whether or not the remote target 
is a GRUU).

>
> Regards,
>
> Christer
>
>
>
>
> -----Original Message-----
> From: sipcore [mailto:[email-masked]] On Behalf Of Robert Sparks
> Sent: 21. tammikuuta 2015 23:17
> To: [email-masked]
> Subject: Re: [sipcore] I-D Action: draft-ietf-sipcore-refer-clarifications-01.txt
>
> I think this, and refer-explicit-subscriptions are ready for WGLC.
> Let me know if I've missed anything.
>
> RjS
>
> On 1/21/15 3:05 PM, [email-masked] wrote:
>> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>>    This draft is a work item of the Session Initiation Protocol Core Working Group of the IETF.
>>
>>           Title           : Clarifications for the use of REFER with RFC6665
>>           Authors         : Robert Sparks
>>                             Adam Roach
>> 	Filename        : draft-ietf-sipcore-refer-clarifications-01.txt
>> 	Pages           : 6
>> 	Date            : 2015-01-21
>>
>> Abstract:
>>      The SIP REFER method relies on the SIP-Specific Event Notification
>>      Framework.  That framework was revised by RFC6665.  This document
>>      highlights the implications of the requirement changes in RFC6665,
>>      and updates the definition of the REFER method, RFC3515, to clarify
>>      and disambiguate the impact of those changes.
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-sipcore-refer-clarificatio
>> ns/
>>
>> There's also a htmlized version available at:
>> http://tools.ietf.org/html/draft-ietf-sipcore-refer-clarifications-01
>>
>> A diff from the previous version is available at:
>> http://www.ietf.org/rfcdiff?url2=draft-ietf-sipcore-refer-clarificatio
>> ns-01
>>
>>
>> Please note that it may take a couple of minutes from the time of
>> submission until the htmlized version and diff are available at tools.ietf.org.
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> _______________________________________________
>> sipcore mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/sipcore
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 3 Mar 2015 08:17:32 +0000

Hi Robert,

I am happy with your suggested change.

Thanks!

Regards,

Christer

-----Original Message-----
From: Robert Sparks [mailto:[email-masked]] 
Sent: 2. maaliskuuta 2015 20:08
To: Christer Holmberg; [email-masked]
Subject: Re: [sipcore] I-D Action: draft-ietf-sipcore-refer-clarifications-01.txt

I've made this change
OLD:

NEW:
MAY be sent within an existing dialog (whether or not the remote target is a GRUU).

> Subject: Re: [sipcore] I-D Action: 
> draft-ietf-sipcore-refer-clarifications-01.txt
>